<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-matriz-heading" data-cy="MatrizCreateUpdateHeading" jhiTranslate="matrixApp.matriz.home.createOrEditLabel">
        Criar ou editar Matriz
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.matriz.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.matriz.codigo" for="field_codigo">Codigo</label>
          <input type="text" class="form-control" name="codigo" id="field_codigo" data-cy="codigo" formControlName="codigo" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.matriz.matrizes" for="field_matrizes">Matrizes</label>
          <select
            class="form-control"
            id="field_matrizes"
            data-cy="matrizes"
            name="matrizes"
            formControlName="matrizes"
            [compareWith]="compareCurso"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="cursoOption" *ngFor="let cursoOption of cursosSharedCollection">{{ cursoOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
